part of 'training_plan_bloc.dart';

abstract class TrainingPlanState extends Equatable {
  const TrainingPlanState();

  @override
  List<Object> get props => [];
}

class TrainingPlanInitial extends TrainingPlanState {
  const TrainingPlanInitial();
}

class TrainingPlanLoading extends TrainingPlanState {
  const TrainingPlanLoading();
}

class TrainingPlanExerciseLoading extends TrainingPlanState {
  const TrainingPlanExerciseLoading();
}

class TrainingPlanReady extends TrainingPlanState {
  const TrainingPlanReady();
}

class TrainingPlanExerciseReady extends TrainingPlanState {
  const TrainingPlanExerciseReady();
}

class TrainingPlanFinished extends TrainingPlanState {
  const TrainingPlanFinished();
}

class TrainingPlanDayFinished extends TrainingPlanState {
  const TrainingPlanDayFinished();
}

class TrainingPlanDayReadyToRestart extends TrainingPlanState {
  const TrainingPlanDayReadyToRestart();
}

class TrainingPlanError extends TrainingPlanState {
  final String message;
  const TrainingPlanError({required this.message});

  @override
  List<Object> get props => [message];
}
